#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
ll n,d,m;
ll dem=0;
void r(ll &x)
{
    x=0;
    char a;
    a=getchar();
    for (;a<'0'||a>'9';a=getchar());
    for (;a>='0'&&a<='9';a=getchar())
        x=x*10+a-'0';
}
void w(ll x)
{
    if (x>9) w(x/10);
    putchar(x%10+'0');
}
ll mu(ll a,ll n)
{
    ll k;
    if (n==1) return a;
    k=mu(a,n/2);
    if (n%2==0) return k*k;
    else return k*k*a;
}
ll Solve(ll a,ll n)
{
    ll i=1;ll d=0;
    ll k=mu(a,i);
    while (k<=n)
    {
        d=d+n/k;
        i++;
        k=mu(a,i);
    }
    return d;
}
vector <ll> a;
int main()
{
    freopen("FINDNUM.inp","r",stdin);
    freopen("FINDNUM.out","w",stdout);
    ios_base::sync_with_stdio(false);
    r(n);r(m);
    ll i=1;
    while (i<=sqrt(m))
    {
        if (m%i==0) {
            a.push_back(i);
            if (m!=i*i)
            a.push_back(m/i);
        }
        i++;
    }
    for (ll i=0;i<a.size();i++)
    {
        if (a[i]<=n&&m/a[i]<=n)
        {
            d++;
        }
    }
    w(d);
}

